--- old/usr/src/uts/common/fs/zfs/vdev_file.c	Sun Jul 30 02:21:30 2017
+++ new/usr/src/uts/common/fs/zfs/vdev_file.c	Sun Jul 30 02:21:30 2017
@@ -59,6 +59,11 @@
 	int error;
 
 	/*
+	 * Rotational optimizations only make sense on block devices
+	 */
+	vd->vdev_nonrot = B_TRUE;
+
+	/*
 	 * We must have a pathname, and it must be absolute.
 	 */
 	if (vd->vdev_path == NULL || vd->vdev_path[0] != '/') {
